% data no saturation

load no_sat
measures=measures';
time_nosat=measures(:,1);
u_nosat=measures(:,3);
y_nosat=measures(:,4);
%ref_nosat=measures(:,2);

% data no antisaturation

load no_antisat
measures=measures';
time_antisat=measures(:,1);
u_antisat=measures(:,3);
y_antisat=measures(:,4);
%ref_antisat=measures(:,2);

% data static antisaturation

load antisat_stat
measures=measures';
time_antisat_stat=measures(:,1);
u_antisat_stat=measures(:,3);
y_antisat_stat=measures(:,4);
%ref_antisat_stat=measures(:,2);

% data  dynamic antisaturation case Tsat=0.48

load antisat_dyn1
measures=measures';
time_antisat_dyn1=measures(:,1);
u_antisat_dyn1=measures(:,3);
y_antisat_dyn1=measures(:,4);
%ref_antisat_dyn1=measures(:,2);

% data  dynamic antisaturation case Tsat=0.24

load antisat_dyn2
measures=measures';
time_antisat_dyn2=measures(:,1);
u_antisat_dyn2=measures(:,3);
y_antisat_dyn2=measures(:,4);
%ref_antisat_dyn2=measures(:,2);


time_ref=0:0.001:10.439;
ref=[zeros(1,960) 5*ones(1,4800) zeros(1,4680)]';


% plot1 commands

figure,hold on,grid on,axis([0 time_nosat(end) min(u_nosat)-1 max(u_nosat)+1])
title('ANTISATURATION: COMMANDS','color','k')
plot(time_nosat,u_nosat,'r');
plot(time_nosat,u_antisat,'b');
plot(time_nosat,u_antisat_stat,'m');
legend('no saturation','bad antisaturation','good antisaturation')

% plot1 outputs

figure,hold on,grid on,axis([0 time_nosat(end) min(y_nosat)-1 max(y_nosat)+1])
title('ANTISATURATION: OUTPUTS','color','k')
plot(time_nosat,y_nosat,'r');
plot(time_nosat,y_antisat,'b');
plot(time_nosat,y_antisat_stat,'m');
plot(time_ref,ref,'k');
legend('no saturation','bad antisaturation','good antisaturation','setpoint')

% plot2 commands

figure,hold on,grid on,axis([0 time_nosat(end) min(u_nosat)-1 max(u_nosat)+1])
title('ANTISATURATION WITH DYNAMICS: COMMANDS','color','k')
plot(time_nosat,u_antisat_dyn1,'r');
plot(time_nosat,u_antisat_dyn2,'b');
plot(time_nosat,u_antisat_stat,'m');
legend('antisaturation with dynamics Tsat=0.48','antisaturation with dynamics Tsat=0.24','antisaturation with no dynamics')

% plot2 outputs

figure,hold on,grid on,axis([0 time_nosat(end) min(y_nosat)-1 max(y_nosat)+1])
title('ANTISATURATION WITH DYNAMICS: OUTPUTS','color','k')
plot(time_nosat,y_antisat_dyn1,'r');
plot(time_nosat,y_antisat_dyn2,'b');
plot(time_nosat,y_antisat_stat,'m');
plot(time_ref,ref,'k');
legend('antisaturation with dynamics Tsat=0.48','antisaturation with dynamics Tsat=0.24','antisaturation with no dynamics','setpoint')